tld_get_4z(3)

NAME
tld_get_4z - API function

SYNOPSIS
#include <tld.h>

int tld_get_4z(const uint32_t * in, char ** out);

ARGUMENTS

const uint32_t * in
    Zero terminated array of unicode code points to process.

char ** out
    Zero terminated ascii result string pointer.

DESCRIPTION
Isolate the top-level domain of in and return it as an ASCII string in out.

RETURN VALUE
Return TLD_SUCCESS on success, or the corresponding Tld_rc error code otherwise.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>. GNU Libidn home page: http://www.gnu.org/software/libidn/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2012 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.